Subject: bug#36759: 26.1; nftables major mode

From: Stefan Kangas <[email-masked]>
Date: Sat, 5 Sep 2020 01:13:21 +0000

"Trent W. Buck" <[email-masked]> writes:

> Eli Zaretskii wrote:
>>> nftables is a Linux kernel firewall.
>>> I couldn't find a major mode for this, so I wrote a basic one.
>>> Could someone else adopt it into mainline Emacs?
>>
>> Would it be possible to rewrite this mode using define-generic-mode?
>> See generic-x.el for some example of using that macro.
>
> I didn't know about define-generic-mode!
>
> (My elisp-fu is Giraffe Book vintage, and I've been using
> e.g. conf-mode instead of ini-generic-mode, and third-party
> apache-mode instead of apache-conf-generic-mode.)
>
> I can have a go, but I don't know when I'll get around to it.

(That was one year ago.)

Are you still working on this mode?  Have you made any progress, so far?